Version of the database is newer then this program

If you receive an error "Version of the database is newer then this program" when launching the MBD Manager, it means that the update to BLS-2019 may have been installed prior to installing the MBD.
 
To resolve, download the MBD-2019 installer from the CDE Software website directly and install to update the database.